import { Element, RenamingTransform, RenameTargets } from '@yellicode/elements';
/**
 * Prefixes reserved Java keywords with a "@". This applies to:
 * - Class names
 * - Interface names
 * - Enumeration names
 * - Attribute names
 * - Operation names
 * - Operation parameter names
 */
export declare class JavaReservedKeywordTransform extends RenamingTransform {
    constructor(targets?: RenameTargets);
    protected rename(name: string, target: Element): string;
}
